Package kiyut.sketsa.canvas.event

## Class TextEvent

- java.lang.Object
- - kiyut.sketsa.canvas.event.TextEvent

-     public class TextEvent
      extends Object

  An event that characterizes a change in canvas text
  Author:
    Kiyut

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `CHANGE` |
    `static int` | `INSERT` |
    `protected int` | `length` |
    `protected int` | `offset` |
    `static int` | `REMOVE` |
    `protected int` | `type` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TextEvent​(int offset, int length, int type)` | Creates a new instance of TextDocumentEvent

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getLength()` | Return the length of the modification occurred
    `int` | `getOffset()` | Return the offset of the modification occurred
    `int` | `getType()` | Return the type of modification (CHANGE,INSERT,REMOVE)

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CHANGE

          public static final int CHANGE

      See Also:
        Constant Field Values

    - #### INSERT

          public static final int INSERT

      See Also:
        Constant Field Values

    - #### REMOVE

          public static final int REMOVE

      See Also:
        Constant Field Values

    - #### offset

          protected int offset

    - #### length

          protected int length

    - #### type

          protected int type

  - ### Constructor Detail

    - #### TextEvent

          public TextEvent​(int offset,
                           int length,
                           int type)

      Creates a new instance of TextDocumentEvent
      Parameters:
        `offset` - the Offset
        `length` - the Length
        `type` - one of the value CHANGE, INSERT, REMOVE

  - ### Method Detail

    - #### getOffset

          public int getOffset()

      Return the offset of the modification occurred
      Returns:
        the offset of the modification occurred

    - #### getLength

          public int getLength()

      Return the length of the modification occurred
      Returns:
        the offset of the modification occurred

    - #### getType

          public int getType()

      Return the type of modification (CHANGE,INSERT,REMOVE)
      Returns:
        the type of modification